Page MenuHomePhabricator

Pick up DOMComplete and send to Graphite
Closed, ResolvedPublic

Description

We have DOMComplete in WebPageTest but we don't send it to Graphite. Let us add it so we can follow changes when we do the Resource Loader 2018 review.

Related Objects

Event Timeline

Peter created this task.May 3 2018, 9:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 9:09 AM

Change 430569 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/WebPageTest@master] Collect domContentLoadedEventEnd

https://gerrit.wikimedia.org/r/430569

Peter triaged this task as Medium priority.May 3 2018, 9:55 AM

Change 430569 merged by jenkins-bot:
[performance/WebPageTest@master] Collect DOMComplete.

https://gerrit.wikimedia.org/r/430569

Krinkle closed this task as Resolved.Jun 6 2018, 6:39 PM

Change 439654 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/WebPageTest@master] Rollback DOMComplete.

https://gerrit.wikimedia.org/r/439654

Peter reopened this task as Open.Jun 11 2018, 8:19 PM

Reopening since this is rollbacked in https://gerrit.wikimedia.org/r/#/c/performance/WebPageTest/+/439654/

Somehow this broke sending a lot of other metrics to Graphite. Lets make sure we log the full URL in Jenkins in step 1 so it's easier to just see the problem.

Change 439654 merged by jenkins-bot:
[performance/WebPageTest@master] Rollback DOMComplete.

https://gerrit.wikimedia.org/r/439654

Peter added a comment.Jun 20 2018, 2:56 PM

So the message looked like this:

webpagetest.enwiki.anonymous.Facebook.us-east.Chrome.firstView.domComplete=2494.5999999982ms&

I've changed so WebPageTest parse it to an int.

Change 441216 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/WebPageTest@master] Enable pick up DOMComplete.

https://gerrit.wikimedia.org/r/441216

Change 441216 merged by jenkins-bot:
[performance/WebPageTest@master] Enable pick up DOMComplete.

https://gerrit.wikimedia.org/r/441216

Krinkle closed this task as Resolved.Jun 22 2018, 2:19 PM
Krinkle removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Pick up DOMComplete and send to Graphite to 8pdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Peter as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Krinkle renamed this task from 8pdaaaaaaa to Pick up DOMComplete and send to Graphite.Jul 1 2018, 9:48 PM
Krinkle closed this task as Resolved.
Krinkle assigned this task to Peter.
Krinkle lowered the priority of this task from High to Medium.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Aklapper.